## org.apache.cassandra.notifications
Class SSTableListChangedNotification

    java.lang.Object
      org.apache.cassandra.notifications.SSTableListChangedNotification

All Implemented Interfaces:
  INotification

    public class SSTableListChangedNotification

extends java.lang.Object
implements INotification

Field Summary
`java.lang.Iterable<SSTableReader>` `added`
`OperationType` `compactionType`
`java.lang.Iterable<SSTableReader>` `removed`

Constructor Summary
`SSTableListChangedNotification(java.lang.Iterable<SSTableReader> added, java.lang.Iterable<SSTableReader> removed, OperationType compactionType)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### removed

    public final java.lang.Iterable<SSTableReader> removed

### added

    public final java.lang.Iterable<SSTableReader> added

### compactionType

    public final OperationType compactionType

Constructor Detail

### SSTableListChangedNotification

    public SSTableListChangedNotification(java.lang.Iterable<SSTableReader> added,
                                          java.lang.Iterable<SSTableReader> removed,
                                          OperationType compactionType)

Copyright © 2012 The Apache Software Foundation